freemarker.core

## Class BugException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - freemarker.core.BugException

All Implemented Interfaces:
  Serializable

    public class BugException
    extends RuntimeException

An unexpected state was reached that is certainly caused by a bug in FreeMarker.

Since:
  2.3.21
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BugException()`
`BugException(int value)`
`BugException(String message)`
`BugException(String message, Throwable cause)`
`BugException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BugException

    public BugException()

#### BugException

    public BugException(String message)

#### BugException

    public BugException(Throwable cause)

#### BugException

    public BugException(String message,
                        Throwable cause)

#### BugException

    public BugException(int value)